com.qualcomm.robotcore.eventloop

## Enum SyncdDevice.ShutdownReason

- java.lang.Object
- - java.lang.Enum<SyncdDevice.ShutdownReason>
  - - com.qualcomm.robotcore.eventloop.SyncdDevice.ShutdownReason

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<SyncdDevice.ShutdownReason>
  Enclosing interface:
    SyncdDevice

      public static enum SyncdDevice.ShutdownReason
      extends java.lang.Enum<SyncdDevice.ShutdownReason>

  `SyncdDevice.ShutdownReason` indicates the health of the shutdown of the device.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ABNORMAL` The device shutdown abnormally, and we don't know anything about when it might be useful to try to communicate with it again.
    `ABNORMAL_ATTEMPT_REOPEN` The device shutdown abnormally, but due to a temporary circumstance (such as ESD) that we believe might be recoverable from after a brief interval
    `NORMAL` The device shutdown normally

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SyncdDevice.ShutdownReason` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static SyncdDevice.ShutdownReason[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NORMAL

          public static final SyncdDevice.ShutdownReason NORMAL

      The device shutdown normally

    - #### ABNORMAL

          public static final SyncdDevice.ShutdownReason ABNORMAL

      The device shutdown abnormally, and we don't know anything about when it might be useful to try to communicate with it again. Its USB cable might have been pulled, for example, and we don't know when it will be plugged back in, if ever.

    - #### ABNORMAL_ATTEMPT_REOPEN

          public static final SyncdDevice.ShutdownReason ABNORMAL_ATTEMPT_REOPEN

      The device shutdown abnormally, but due to a temporary circumstance (such as ESD) that we believe might be recoverable from after a brief interval
      See Also:
        `SyncdDevice.msAbnormalReopenInterval`

  - ### Method Detail

    - #### values

          public static SyncdDevice.ShutdownReason[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SyncdDevice.ShutdownReason c : SyncdDevice.ShutdownReason.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SyncdDevice.ShutdownReason valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null